<?php
require_once("../../functions.php");
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag,false,false,'',false,false);

$id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
$aprobacion = filter_input(INPUT_POST, "aprobado", FILTER_SANITIZE_NUMBER_INT);

if(!$aprobacion) $aprobacion='desaprobado';
else $aprobacion='aprobado';

if(!consulta('UPDATE `aprobaciones_modificaciones_registros` SET `estado`=? WHERE id=?;',[$aprobacion,$id],false)){
    crear_log(
        "error",
        'Error al actualizar aprobación',
        $pag,
        'Error al actualizar la aprobación con id '.$id.' a '.$aprobacion
    );
    crear_notificacion('error','Error al actualizar la aprobación');
} else{
    crear_log(
        "info",
        'Aprobación actualizada',
        $pag,
        'Se ha actualizado la aprobación con id '.$id.' a '.$aprobacion
    );
    crear_notificacion('correcto','Aprobación actualizada a '.$aprobacion);
}